﻿using UnityEngine;
using System.Collections;

public class Node {
        public int ConvID = -1;
        public int NodeID = -1;

    public Node()
    {
        ConvID = -1;
        NodeID = -1;
    }
    public Node(int convID, int nodeID)
    {
        ConvID = convID;
        NodeID = nodeID;
    }
    public bool CheckEquals(Node a, Node b)
    {   //check by values
        return (a.ConvID == b.ConvID) && (a.NodeID == b.NodeID);
    }
    public void CopyToCurrent(Node n)
    {
        this.ConvID = n.ConvID;
        this.NodeID = n.NodeID;
    }
    public override string ToString()
    {
        return ConvID.ToString() + ", " + NodeID.ToString();
    }
}
